Bug 37452 - XFree86 random crashes ATI Mach64
XFree86 random crashes ATI Mach64
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-24 12:54 EDT by Tim Haakenson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-25 12:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Haakenson 2001-04-24 12:54:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)


After installing RH 7.1 on a Dell 2200 (on board ATI Mach64) video, 
XFree86 will randomly crash within 5 minutes of booting. This completely 
reboots the computer. RH 7.0 worked fine on this hardware.

I tried installing either Gnome or KDE. It crashes with both.

Reproducible: Always
Steps to Reproduce:
1.Bring up Xwindows
2.Move mouse around or click icons on desktop
Comment 1 Tim Haakenson 2001-04-24 15:31:29 EDT
# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
	Identifier "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# By default, Red Hat Linux 6.0 and later use xfs

Section "Files"
	FontPath "unix/:7100"
EndSection

# Module loading section

Section "Module"
	Load  "dbe"		# Double-buffering
	Load  "GLcore"		# OpenGL support
	Load  "dri"		# Direct rendering infrastructure
	Load  "glx"		# OpenGL X protocol interface
	Load  "extmod"		# Misc. required extensions
	Load  "v4l"		# Video4Linux
	# Load  "pex5"		# PHIGS for X 3D environment (obsolete)
	# Load  "record"	# X event recorder
	# Load  "xie"		# X Image Extension (obsolete)
	# You only need the following two modules if you do not use xfs.
	# Load  "freetype"	 # TrueType font handler
	# Load  "type1"		# Adobe Type 1 font handler
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option      "XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Device" "/dev/mouse"
	Option      "Protocol" "PS/2"
	Option      "Emulate3Buttons" "off"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier "E771-4"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30 - 70
	VertRefresh 50 - 120
	Option "dpms"
EndSection

Section "Device"
	Identifier "ATI Mach64 VT (264VT)"
	Driver "ati"
	BoardName "Unknown"
EndSection

Section "Device"
	Identifier "Linux Frame Buffer"
	Driver "fbdev"
	BoardName "Unknown"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device "ATI Mach64 VT (264VT)"
	Monitor "E771-4"
	DefaultDepth 16
	Subsection "Display"
		Depth 16
		Modes "800x600"
	EndSubSection
EndSection

Section "DRI"
	Mode 0666
EndSection


################################################################################
####
# Contents of XFree86.0.log
################################################################################
####

XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Tue Apr 24 12:20:20 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "E771-4"
(**) |   |-->Device "ATI Mach64 VT (264VT)"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.3
	XFree86 XInput driver : 0.1
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x8000800c, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1237 card 0000,0000 rev 02 class 06,00,00 hdr 00
(II) PCI: 00:0d:0: chip 8086,0482 card 0000,0000 rev 15 class 00,00,00 hdr 00
(II) PCI: 00:0f:0: chip 9004,8078 card 0000,0000 rev 00 class 01,00,00 hdr 00
(II) PCI: 00:10:0: chip 10b7,9050 card 0000,0000 rev 00 class 02,00,00 hdr 00
(II) PCI: 00:12:0: chip 8086,0960 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:12:1: chip 8086,1960 card 1028,1111 rev 03 class 0e,00,01 hdr 80
(II) PCI: 00:14:0: chip 1002,5654 card 1002,5654 rev 40 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:18:0), (0,1,1), BCTRL: 0x04 (VGA_EN is cleared)
(II) Bus 1 I/O range:
(II) Bus 1 non-prefetchable memory range:
(II) Bus 1 prefetchable memory range:
(--) PCI: (0:13:0) Intel 82375EB pci-eisa bridge rev 21
(--) PCI:*(0:20:0) ATI Mach64 VT rev 64, Mem @ 0xfc000000/24, I/O @ 0xf400/8
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
	[0] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[1] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[2] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[3] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[4] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[5] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[1] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[2] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[3] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[4] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[5] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[6] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[7] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[8] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[9] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[10] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[11] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 6.2.3
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.1
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 Pro PD (AGP),
	ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(II) Primary Device is: PCI 00:14:0
(II) ATI:  Candidate "Device" section "ATI Mach64 VT (264VT)".
(II) ATI:  Shared PCI/AGP Mach64 in slot 0:20:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 0:20:0 assigned to active "Device" 
section "ATI Mach64 VT (264VT)".
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[6] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[7] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[8] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[9] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[10] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[11] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 6.2.3
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.3
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[6] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[7] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[8] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[9] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[10] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[11] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[12] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[13] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[14] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
	[15] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[16] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 16, (--) framebuffer bpp 16
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE Version 2.0
(II) ATI(0): VESA VBE Total Mem: 1024 kB
(II) ATI(0): VESA VBE OEM: ATI MACH64
(II) ATI(0): VESA VBE OEM Software Rev: 1.0
(II) ATI(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) ATI(0): VESA VBE OEM Product: MACH64VT
(II) ATI(0): VESA VBE OEM Product Rev: 01.00
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): VESA VBE DDC Level 2
(II) ATI(0): VESA VBE DDC transfer in appr. 2 sec.
(II) ATI(0): VESA VBE DDC read successfully
(II) ATI(0): Manufacturer: VSC  Model: 5941  Serial#: 7325
(II) ATI(0): Year: 1999  Week: 41
(II) ATI(0): EDID Version: 1.2
(II) ATI(0): Analog Display Input,  Input Voltage Level: 0.700/0.700V
(II) ATI(0): Sync:  Separate
(II) ATI(0): Max H-Image Size [cm]: horiz.: 32  vert.: 24
(II) ATI(0): Gamma: 2.77
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) ATI(0): First detailed timing is preferred mode
(II) ATI(0): GTF timings supported
(II) ATI(0): redX: 0.630 redY: 0.340   greenX: 0.280 greenY: 0.601
(II) ATI(0): blueX: 0.145 blueY: 0.061   whiteX: 0.283 whiteY: 0.297
(II) ATI(0): Supported VESA Video Modes:
(II) ATI(0): 720x400@70Hz
(II) ATI(0): 720x400@88Hz
(II) ATI(0): 640x480@60Hz
(II) ATI(0): 640x480@67Hz
(II) ATI(0): 640x480@72Hz
(II) ATI(0): 640x480@75Hz
(II) ATI(0): 800x600@56Hz
(II) ATI(0): 800x600@60Hz
(II) ATI(0): 800x600@72Hz
(II) ATI(0): 800x600@75Hz
(II) ATI(0): 832x624@75Hz
(II) ATI(0): 1024x768@87Hz (interlaced)
(II) ATI(0): 1024x768@60Hz
(II) ATI(0): 1024x768@70Hz
(II) ATI(0): 1024x768@75Hz
(II) ATI(0): Manufacturer's mask: 0
(II) ATI(0): Supported Future Video Modes:
(II) ATI(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) ATI(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) ATI(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) ATI(0): #3: hsize: 1280  vsize 960  refresh: 60  vid: 16513
(II) ATI(0): #4: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) ATI(0): Supported additional Video Mode:
(II) ATI(0): clock: 78.8 MHz   Image Size:  300 x 225 mm
(II) ATI(0): h_active: 1024  h_sync: 1040  h_sync_end 1136 h_blank_end 1312 
h_border: 0
(II) ATI(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking: 800 
v_border: 0
(II) ATI(0): Serial No: AY94107325
(II) ATI(0): Ranges: V min: 50  V max: 120 Hz, H min: 30  H max: 70 kHz, 
PixClock max 110 kHz
(II) ATI(0): Monitor name: E771-4
(--) ATI(0): ATI 264VT graphics controller detected.
(--) ATI(0): Chip type 5654 "VT", version 0, foundry SGS, class 0, revision 
0x01.
(--) ATI(0): PCI bus interface detected;  block I/O base is 0xF400.
(--) ATI(0): ATI Mach64 adapter detected.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 565
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(II) ATI(0): Using 8 MB linear aperture at 0xFC000000.
(II) ATI(0): Using Block 0 MMIO aperture at 0xFC7FFC00.
(II) ATI(0): Using Block 1 MMIO aperture at 0xFC7FF800.
(==) ATI(0): Write-combining range (0xfc000000,0x100000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 1024 kB of Pseudo-EDO DRAM detected.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 157.5/11 (14.318) MHz.
(II) ATI(0): E771-4: Using hsync range of 30.00-70.00 kHz
(II) ATI(0): E771-4: Using vrefresh range of 50.00-120.00 Hz
(II) ATI(0): Maximum clock:  80.00 MHz
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1152x864" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x960" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x960" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x1024" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x1024" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x1024" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1792x1344" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1792x1344" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1856x1392" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1856x1392" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1920x1440" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1920x1440" deleted (insufficient memory for mode)
(--) ATI(0): Virtual size is 800x600 (pitch 800)
(**) ATI(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(--) ATI(0): Display dimensions: (32, 24) cm
(--) ATI(0): DPI set to (63, 63)
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "cfb16"
(II) LoadModule: "cfb16"
(II) Loading /usr/X11R6/lib/modules/libcfb16.a
(II) Module cfb16: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "cfb"
(II) LoadModule: "cfb"
(II) Loading /usr/X11R6/lib/modules/libcfb.a
(II) Module cfb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "mfb"
(II) LoadModule: "mfb"
(II) Loading /usr/X11R6/lib/modules/libmfb.a
(II) Module mfb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xfc000000 - 0xfcffffff (0x1000000) MS[B]
	[1] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[2] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[7] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[8] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[9] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[10] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[11] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[12] 0	0x0000f400 - 0x0000f4ff (0x100) IS[B]
	[13] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[14] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[15] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[16] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
	[17] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[18] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) ATI(0): Write-combining range (0xfc000000,0x100000)
(II) ATI(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		7 32x55 slots
(==) ATI(0): Backing store disabled
(**) Option "dpms"
(**) ATI(0): DPMS enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(WW) Cannot open APM
(==) ATI(0): Write-combining range (0xfc000000,0x100000)
(**) ATI(0): DPMS enabled


################################################################################
####
# Contents of XFree86.9.log
################################################################################
####

XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.9.log", Time: Tue Apr 24 12:04:02 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "E771-4"
(**) |   |-->Device "ATI Mach64 VT (264VT)"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(++) FontPath set 
to "/usr/X11R6/lib/X11/fonts/75dpi,/usr/X11R6/lib/X11/fonts/misc,/usr/share/font
s/ISO8859-2/75dpi,/usr/share/fonts/ISO8859-2/misc,/usr/share/fonts/ISO8859-
7/75dpi,/usr/share/fonts/ISO8859-7/misc,/usr/share/fonts/ISO8859-
9/75dpi,/usr/share/fonts/ISO8859-9/misc,/usr/X11R6/lib/X11/fonts/cyrillic"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 8

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.3
	XFree86 XInput driver : 0.1
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x8000003c, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1237 card 0000,0000 rev 02 class 06,00,00 hdr 00
(II) PCI: 00:0d:0: chip 8086,0482 card 0000,0000 rev 15 class 00,00,00 hdr 00
(II) PCI: 00:0f:0: chip 9004,8078 card 0000,0000 rev 00 class 01,00,00 hdr 00
(II) PCI: 00:10:0: chip 10b7,9050 card 0000,0000 rev 00 class 02,00,00 hdr 00
(II) PCI: 00:12:0: chip 8086,0960 card 0000,0000 rev 03 class 06,04,00 hdr 81
(II) PCI: 00:12:1: chip 8086,1960 card 1028,1111 rev 03 class 0e,00,01 hdr 80
(II) PCI: 00:14:0: chip 1002,5654 card 1002,5654 rev 40 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:18:0), (0,1,1), BCTRL: 0x04 (VGA_EN is cleared)
(II) Bus 1 I/O range:
(II) Bus 1 non-prefetchable memory range:
(II) Bus 1 prefetchable memory range:
(--) PCI: (0:13:0) Intel 82375EB pci-eisa bridge rev 21
(--) PCI:*(0:20:0) ATI Mach64 VT rev 64, Mem @ 0xfc000000/24, I/O @ 0xf400/8
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
	[0] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[1] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[2] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[3] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[4] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[5] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[1] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[2] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[3] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[4] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[5] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[6] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[7] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[8] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[9] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[10] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[11] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 6.2.3
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.1
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 Pro PD (AGP),
	ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(II) Primary Device is: PCI 00:14:0
(II) ATI:  Candidate "Device" section "ATI Mach64 VT (264VT)".
(II) ATI:  Shared PCI/AGP Mach64 in slot 0:20:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 0:20:0 assigned to active "Device" 
section "ATI Mach64 VT (264VT)".
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[6] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[7] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[8] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[9] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[10] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[11] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 6.2.3
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.3
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[6] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[7] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[8] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[9] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[10] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[11] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[12] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[13] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[14] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
	[15] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[16] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 16, (--) framebuffer bpp 16
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE Version 2.0
(II) ATI(0): VESA VBE Total Mem: 1024 kB
(II) ATI(0): VESA VBE OEM: ATI MACH64
(II) ATI(0): VESA VBE OEM Software Rev: 1.0
(II) ATI(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) ATI(0): VESA VBE OEM Product: MACH64VT
(II) ATI(0): VESA VBE OEM Product Rev: 01.00
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): VESA VBE DDC Level 2
(II) ATI(0): VESA VBE DDC transfer in appr. 2 sec.
(II) ATI(0): VESA VBE DDC read successfully
(II) ATI(0): Manufacturer: VSC  Model: 5941  Serial#: 7325
(II) ATI(0): Year: 1999  Week: 41
(II) ATI(0): EDID Version: 1.2
(II) ATI(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) ATI(0): Sync:  Separate
(II) ATI(0): Max H-Image Size [cm]: horiz.: 32  vert.: 24
(II) ATI(0): Gamma: 2.77
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) ATI(0): First detailed timing is preferred mode
(II) ATI(0): GTF timings supported
(II) ATI(0): redX: 0.630 redY: 0.340   greenX: 0.280 greenY: 0.601
(II) ATI(0): blueX: 0.145 blueY: 0.061   whiteX: 0.283 whiteY: 0.297
(II) ATI(0): Supported VESA Video Modes:
(II) ATI(0): 720x400@70Hz
(II) ATI(0): 720x400@88Hz
(II) ATI(0): 640x480@60Hz
(II) ATI(0): 640x480@67Hz
(II) ATI(0): 640x480@72Hz
(II) ATI(0): 640x480@75Hz
(II) ATI(0): 800x600@56Hz
(II) ATI(0): 800x600@60Hz
(II) ATI(0): 800x600@72Hz
(II) ATI(0): 800x600@75Hz
(II) ATI(0): 832x624@75Hz
(II) ATI(0): 1024x768@87Hz (interlaced)
(II) ATI(0): 1024x768@60Hz
(II) ATI(0): 1024x768@70Hz
(II) ATI(0): 1024x768@75Hz
(II) ATI(0): Manufacturer's mask: 0
(II) ATI(0): Supported Future Video Modes:
(II) ATI(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) ATI(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) ATI(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) ATI(0): #3: hsize: 1280  vsize 960  refresh: 60  vid: 16513
(II) ATI(0): #4: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) ATI(0): Supported additional Video Mode:
(II) ATI(0): clock: 78.8 MHz   Image Size:  300 x 225 mm
(II) ATI(0): h_active: 1024  h_sync: 1040  h_sync_end 1136 h_blank_end 1312 
h_border: 0
(II) ATI(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking: 800 
v_border: 0
(II) ATI(0): Serial No: AY94107325
(II) ATI(0): Ranges: V min: 50  V max: 120 Hz, H min: 30  H max: 70 kHz, 
PixClock max 110 kHz
(II) ATI(0): Monitor name: E771-4
(--) ATI(0): ATI 264VT graphics controller detected.
(--) ATI(0): Chip type 5654 "VT", version 0, foundry SGS, class 0, revision 
0x01.
(--) ATI(0): PCI bus interface detected;  block I/O base is 0xF400.
(--) ATI(0): ATI Mach64 adapter detected.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 565
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(II) ATI(0): Using 8 MB linear aperture at 0xFC000000.
(II) ATI(0): Using Block 0 MMIO aperture at 0xFC7FFC00.
(II) ATI(0): Using Block 1 MMIO aperture at 0xFC7FF800.
(==) ATI(0): Write-combining range (0xfc000000,0x100000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 1024 kB of Pseudo-EDO DRAM detected.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 157.5/11 (14.318) MHz.
(II) ATI(0): E771-4: Using hsync range of 30.00-70.00 kHz
(II) ATI(0): E771-4: Using vrefresh range of 50.00-120.00 Hz
(II) ATI(0): Maximum clock:  80.00 MHz
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1024x768" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1152x864" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x960" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x960" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x1024" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x1024" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1280x1024" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1400x1050" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1600x1200" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1792x1344" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1792x1344" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1856x1392" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1856x1392" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1920x1440" deleted (insufficient memory for mode)
(WW) ATI(0): Default mode "1920x1440" deleted (insufficient memory for mode)
(--) ATI(0): Virtual size is 800x600 (pitch 800)
(**) ATI(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(--) ATI(0): Display dimensions: (32, 24) cm
(--) ATI(0): DPI set to (63, 63)
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "cfb16"
(II) LoadModule: "cfb16"
(II) Loading /usr/X11R6/lib/modules/libcfb16.a
(II) Module cfb16: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "cfb"
(II) LoadModule: "cfb"
(II) Loading /usr/X11R6/lib/modules/libcfb.a
(II) Module cfb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "mfb"
(II) LoadModule: "mfb"
(II) Loading /usr/X11R6/lib/modules/libmfb.a
(II) Module mfb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xfc000000 - 0xfcffffff (0x1000000) MS[B]
	[1] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[2] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0xfd800000 - 0xfdbfffff (0x400000) MX[B]
	[7] -1	0xfdfff000 - 0xfdffffff (0x1000) MX[B]
	[8] -1	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[9] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[10] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[11] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[12] 0	0x0000f400 - 0x0000f4ff (0x100) IS[B]
	[13] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[14] -1	0x0000f0c0 - 0x0000f0ff (0x40) IX[B]
	[15] -1	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[16] -1	0x0000f400 - 0x0000f4ff (0x100) IX[B](B)
	[17] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[18] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) ATI(0): Write-combining range (0xfc000000,0x100000)
(II) ATI(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		7 32x55 slots
(==) ATI(0): Backing store disabled
(**) Option "dpms"
(**) ATI(0): DPMS enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
Could not init font path element /usr/share/fonts/ISO8859-2/75dpi, removing 
from list!
Could not init font path element /usr/share/fonts/ISO8859-2/misc, removing from 
list!
Could not init font path element /usr/share/fonts/ISO8859-7/75dpi, removing 
from list!
Could not init font path element /usr/share/fonts/ISO8859-7/misc, removing from 
list!
Could not init font path element /usr/share/fonts/ISO8859-9/75dpi, removing 
from list!
Could not init font path element /usr/share/fonts/ISO8859-9/misc, removing from 
list!
Could not init font path element /usr/X11R6/lib/X11/fonts/cyrillic, removing 
from list!

Comment 2 Tim Haakenson 2001-04-25 12:50:10 EDT
Just to be sure I added an SIS 6326 video card to the server and used that 
instead of the onboard ATI Mach64. I reinstalled RH 7.1. Everything works great 
with this video card. No crashes.
Comment 3 Mike A. Harris 2001-04-26 20:20:57 EDT
Please do not cut and paste huge files into the bug report description.  makes
it impossilbe to use in an effective manner.  It also slows down queries
done on the bugzilla database.

That is why we have a file attach link.  Please open a new bug report and attach
the files there after filling out the new report.

Note You need to log in before you can comment on or make changes to this bug.